org.wso2.carbon.module.mgt.ui.util

## Class ModuleManagementUtils

- java.lang.Object
- - org.wso2.carbon.module.mgt.ui.util.ModuleManagementUtils

-     public class ModuleManagementUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESOURCE_BUNDLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleManagementUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.wso2.carbon.module.mgt.stub.types.ModuleMgtException` | `getModuleMgtException(org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException e)`
    `static void` | `handleModuleMgtErrors(org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException e, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, String warnPage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCE_BUNDLE

          public static final String RESOURCE_BUNDLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ModuleManagementUtils

          public ModuleManagementUtils()

  - ### Method Detail

    - #### getModuleMgtException

          public static org.wso2.carbon.module.mgt.stub.types.ModuleMgtException getModuleMgtException(org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException e)

    - #### handleModuleMgtErrors

          public static void handleModuleMgtErrors(org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException e,
                                                   javax.servlet.http.HttpServletRequest req,
                                                   javax.servlet.http.HttpServletResponse res,
                                                   String warnPage)
                                            throws IOException

      Throws:
        `IOException`

Copyright © 2021 WSO2. All rights reserved.